Index: /code/trunk/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- /code/trunk/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 8890)
+++ /code/trunk/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 8891)
@@ -298,10 +298,4 @@
     }
 
-        /**
-    @brief
-        Add an Engine to the SpaceShip.
-    @param engine
-        A pointer to the Engine to be added.
-    */
     void SpaceShip::addEngine(orxonox::Engine* engine)
     {
@@ -504,14 +498,16 @@
     void SpaceShip::resetCamera()
     {
-        Camera *camera = this->getCamera();
-        if (camera == 0)
-        {
-            orxout(internal_warning) << "Failed to reset camera!" << endl;
-            return;
-        }
-
-        this->shakeDt_ = 0.0f;
-        camera->setPosition(this->cameraOriginalPosition_);
-        camera->setOrientation(this->cameraOriginalOrientation_);
+	if(this->hasLocalController() && this->hasHumanController())
+	{
+            Camera *camera = this->getCamera();
+            if (camera == 0)
+            {
+                orxout(internal_warning) << "Failed to reset camera!" << endl;
+                return;
+            }
+            this->shakeDt_ = 0.0f;
+            camera->setPosition(this->cameraOriginalPosition_);
+            camera->setOrientation(this->cameraOriginalOrientation_);
+	}
     }
 
